org.eclipse.eef.core.api

## Enum LockStatusChangeEvent.LockStatus

- java.lang.Object
- - java.lang.Enum<LockStatusChangeEvent.LockStatus>
  - - org.eclipse.eef.core.api.LockStatusChangeEvent.LockStatus

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LockStatusChangeEvent.LockStatus>

Enclosing class:
  LockStatusChangeEvent

    public static enum LockStatusChangeEvent.LockStatus
    extends java.lang.Enum<LockStatusChangeEvent.LockStatus>

The possible lock status.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`LOCKED_BY_ME` Status to indicate that a EObject is locked by the current editing context.
`LOCKED_BY_OTHER` Status to indicate that a EObject is locked by another editing context.
`LOCKED_PERMISSION` Status to indicate that a EObject is locked because of a permission issue.
`UNLOCKED` Status to indicate that a EObject is not locked.

### Method Summary

All Methods Static Methods Concrete Methods
`static LockStatusChangeEvent.LockStatus` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LockStatusChangeEvent.LockStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LOCKED_BY_ME

    public static final LockStatusChangeEvent.LockStatus LOCKED_BY_ME

Status to indicate that a EObject is locked by the current editing context.

#### LOCKED_BY_OTHER

    public static final LockStatusChangeEvent.LockStatus LOCKED_BY_OTHER

Status to indicate that a EObject is locked by another editing context.

#### LOCKED_PERMISSION

    public static final LockStatusChangeEvent.LockStatus LOCKED_PERMISSION

Status to indicate that a EObject is locked because of a permission issue.

#### UNLOCKED

    public static final LockStatusChangeEvent.LockStatus UNLOCKED

Status to indicate that a EObject is not locked.

### Method Detail

#### values

    public static LockStatusChangeEvent.LockStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LockStatusChangeEvent.LockStatus c : LockStatusChangeEvent.LockStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LockStatusChangeEvent.LockStatus valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null